<template>
  <DetailsCommon ref="pageRef" commonRefName="相关项目" commonRefTarget="intangible" />
</template>

<script setup lang="ts">
import { onShareTimeline, onShareAppMessage } from '@dcloudio/uni-app';
import { ref } from 'vue';
import DetailsCommon from '../intangible/DetailsCommon.vue';

const pageRef = ref();

onShareTimeline(() => {
  return pageRef.value?.getPageShareData() || {}; 
})
onShareAppMessage(() => {
  return pageRef.value?.getPageShareData() || {};
})
</script>
